Bug 504300 - click on inkscape - X server crashes
click on inkscape - X server crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened, Triaged
: 505823 509703 (view as bug list)
Depends On: 529295
Blocks: 504307
  Show dependency treegraph
 
Reported: 2009-06-05 09:46 EDT by Jonathan Kamens
Modified: 2011-06-27 10:13 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (54.59 KB, text/plain)
2009-06-05 09:46 EDT, Jonathan Kamens
no flags Details
xorg.conf (3.37 KB, text/plain)
2009-06-05 09:47 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2009-06-05 09:46:45 EDT
Created attachment 346650 [details]
Xorg.0.log

Start up inkscape.
Click anywhere in the drawing area.
X server crashes.
Happens with both openchrome and vesa drivers.
Xorg.0.log (attached) says segfault.
Also attaching xorg.conf.
Comment 1 Jonathan Kamens 2009-06-05 09:47:30 EDT
Created attachment 346651 [details]
xorg.conf

Note that this xorg.conf was generated by the X server, with the exception of the commented out vesa driver setting.
Comment 2 Jonathan Kamens 2009-06-05 10:05:10 EDT
Selecting the scissors select tool in gimp and clicking on the canvas also triggers the crash.
Comment 3 Matěj Cepl 2009-06-05 18:03:14 EDT
That's fast!

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c061e]
2: [0x851400]

Fatal server error:
Caught signal 11.  Server aborting


Apparently something is missing.
Comment 4 Matěj Cepl 2009-06-05 18:03:52 EDT
Really not sure, whether it's server or driver. Ajax?
Comment 5 Jonathan Kamens 2009-06-06 22:05:11 EDT
As I noted in the bug, this happens for both vesa and openchrome drivers, so it is not an openchrome bug.
Comment 6 Bug Zapper 2009-06-09 13:08:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jonathan Kamens 2009-06-13 22:35:59 EDT
OK, so basically, it appears that you've gone and released F11 with an X server which crashes every time a user tries to do anything useful with inkscape or gimp.

Excellent.  Really excellent.
Comment 8 Jonathan Kamens 2009-06-14 21:25:07 EDT
Full stack trace:

(gdb) where
#0  0x00000000 in ?? ()
#1  0x0809675d in GrabDevice (client=0x9f40870, dev=0x9609130, this_mode=1, other_mode=1, grabWindow=20971995, ownerEvents=0, ctime=25404417, mask=264, status=0xbf817be4 "@\3!\b8|\201¿N\201\25\bD\3!\b\b|\201¿", coreGrab=0) at events.c:4692
#2  0x08181791 in ProcXGrabDevice (client=0x9f40870) at grabdev.c:131
#3  0x0817e123 in ProcIDispatch (client=0xbf817a90) at extinit.c:349
#4  0x080864d7 in Dispatch () at dispatch.c:437
#5  0x0806baf5 in main (argc=7, argv=0xbf817db4, envp=0xbf817dd4) at main.c:397

The problem is that frame 1 is trying to dereference the function pointer grabInfo->activateGrab, but it's null.

As you can see, this is inside extension code, so as noted above, this isn't a display driver bug.  I'm going to change it back to a server bug until/unless I can figure out which extension is having trouble.
Comment 9 Jonathan Kamens 2009-06-14 21:35:41 EDT
The crash is in the VNC module.  Disabling it makes the problem go away.

However, I'm not changing the component to TigerVNC, because it seems to me from what little perusal I just did of the X server source code, that perhaps that function pointer *should* be allowed to be null in that context, and the server simply shouldn't try to call it if it's null, i.e., perhaps an extension should be allowed to have activateGrab and deactivateGrab be noops.  This is a call that someone with more knowledge of the X server innards than I will have to make.
Comment 10 Henrique Martins 2009-07-04 13:57:32 EDT
Just reached the same conclusion yesterday, when trying to use gimp.
Running with no xorg.conf gimp works fine.  Adding the VNC module (and I think I'm using TigerVNC with F11) crashes X11 as soon as one clicks in the image.
I need VNC, so I'm kind of stuck
Comment 11 Matěj Cepl 2009-07-04 15:49:58 EDT
*** Bug 505823 has been marked as a duplicate of this bug. ***
Comment 12 Alex Butcher 2009-07-05 17:40:54 EDT
*** Bug 509703 has been marked as a duplicate of this bug. ***
Comment 13 Jonathan Kamens 2009-07-06 14:14:20 EDT
(In reply to comment #10)
> I need VNC, so I'm kind of stuck  

I believe you can use VNC without the VNC server module; it'll just be a bit slower and put a bit more load on the CPU.
Comment 14 Henrique Martins 2009-07-06 14:19:14 EDT
Probably not if I want to connect to the main (console) X display.
Comment 15 Jonathan Kamens 2009-07-06 14:40:20 EDT
(In reply to comment #14)
> Probably not if I want to connect to the main (console) X display.  

Nope, works just fine.  Using it right now, and I have "Disable "vnc"" in my xorg.conf file.
Comment 16 Michael Cracraft 2009-07-15 09:20:01 EDT
I assume the root cause is the same for the issue I am seeing at the moment.  My X server does not crash on my machine when I am running local, but if I start a second instance of X for a vnc connection, the vnc server crashes when I open inkscape and click on the drawing.  The vnc log is not very descriptive.  Below is the section from when I make connection to the vnc server till it dies.  The "XIO" line shows up when inkscape and the vnc server crash, but I don't have any detailed information.

Wed Jul 15 08:35:12 2009
 Connections: accepted: 127.0.0.1::48236
 SConnection: Client needs protocol version 3.8
 SConnection: Client requests security type VncAuth(2)
 VNCSConnST:  Server default pixel format depth 24 (32bpp) little-endian rgb888
 VNCSConnST:  Client pixel format depth 24 (32bpp) little-endian rgb888
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1.0"
      after 138 requests (138 known processed) with 0 events remaining.
gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
nautilus: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
Window manager warning: Fatal IO error 11 (Resource temporarily unavailable) on display ':1.0'.
savtray: Fatal IO error: client killed

** (gnome-volume-control-applet:14140): WARNING **: Connection failed
gdu-notification-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
inkscape: Fatal IO error 0 (Success) on X server :1.0.
gnome-power-manager: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
gpk-update-icon: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
Comment 17 Bill McGonigle 2009-08-28 11:14:00 EDT
Jonathan, have you raised this upstream yet?  I didn't find one in the freedesktop bugzilla, though I may have used the wrong search terms.
Comment 18 Jonathan Kamens 2009-10-15 22:37:32 EDT
I haven't raised it anywhere.  I can't test whether it's still an issue because the tigervnc module won't load into the X server (filed bug 529295 about this, and made this bug depend on that one).
Comment 19 Matěj Cepl 2009-11-05 13:30:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 20 Henrique Martins 2009-11-06 11:34:39 EST
gimp no longer crashes on my nightly updated system (no testing required) with or without loading the vnc module through xorg.conf
Comment 21 Jonathan Kamens 2009-11-12 18:12:07 EST
I'm going to have to disagree with your "with or without loading the vnc module" claim, because right now, the vnc module doesn't actually load:

(II) LoadModule: "vnc"
(II) Loading /usr/lib/xorg/modules/extensions/libvnc.so
dlopen: /usr/lib/xorg/modules/extensions/libvnc.so: undefined symbol: CoreDevicePrivateKey
(EE) Failed to load /usr/lib/xorg/modules/extensions/libvnc.so
(II) UnloadModule: "vnc"
(EE) Failed to load module "vnc" (loader failed, 7)

Apparently, bug 529295 still hasn't been fixed, which makes it impossible to know whether *this* bug has been fixed.
Comment 22 Henrique Martins 2009-11-14 12:08:28 EST
In bug 529295 you have what looks like an older module and FC12.  Works for me on FC11, newer module.
Comment 23 SAL 2009-12-01 15:44:39 EST
As of 12/1/09 I'm seeing this on a freshly updated Fedora 12 system.

I updated from Fedora 10 via preupgrade about 2 days ago.

I'm running Gnome in a tigerVNC session, with no connection to the root console (I launch the tigervnc server after ssh'ing from my console session back to the local system to assure that DBUS_SESSION_BUS_ADDRESS and any other enviro vbls which might point back to the 'starter session' are "left behind").

If I open Inkscape, select a tool, and click anywhere in the drawing window, Bang, down goes the tigervnc server.  Same thing with Gimp.

NB -- I'm not doing the 'ssh localhost' hack just to be perverse.  If I don't do that, then the gnome-session running in the tigervnc session apparently ends up connected to the dbus session associated with the console, and that has very bad consequences, including getting settings confused between the console and the tigervnc session, and crashing the tigervnc Gnome session if I log out of the console.
Comment 24 SAL 2009-12-01 16:10:08 EST
In my previous comment, I should have included a little more info about the system here.  The following may still not be adequate but it may add a little context about the system on which I'm seeing this fail:

dodo% uname -a
Linux dodo 2.6.31.5-127.fc12.i686 #1 SMP Sat Nov 7 21:41:45 EST 2009 i686 i686 i386 GNU/Linux
dodo% cat /etc/redhat-release 
Fedora release 12 (Constantine)
dodo% yum info tigervnc-server
Loaded plugins: dellsysidplugin2, fastestmirror, refresh-packagekit
Installed Packages
Name       : tigervnc-server
Arch       : i686
Version    : 1.0.0
Release    : 1.fc12
Size       : 2.9 M
Repo       : installed
From repo  : fedora
Summary    : A TigerVNC server
URL        : http://www.tigervnc.com
License    : GPLv2+
Description: The VNC system allows you to access the same desktop from a wide
           : variety of platforms.  This package is a TigerVNC server, allowing
           : others to access the desktop on your machine.

dodo% cat /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105+inet"
        Option      "XkbLayout" "us"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

dodo%
Comment 25 SAL 2009-12-01 23:51:40 EST
HERE IS A (*bad*) WORKAROUND:  For the truly desperate who must have VNC with Fedora 12, and who can't use tigerVNC due to this bug:

Download tightvnc 1.3.10 from tightvnc.com, and build it (just follow the directions in the README which comes with it).  You can then install it (ugh) if you want it as your only VNC server, by following the install directions in the README, or you can hack the startup script "vncserver" a little to get it to work in place (mainly need to find the two places where it references "Xvnc" and put in absolute paths so it finds them in its own tree).

BEWARE, however -- there are very good reasons why tightvnc isn't included in the Fedora release, starting with major problems with fonts (it doesn't seem to understand the current font conventions, and really would be happiest using a font server).  You will also have to hack around differences in the directory trees between what Fedora provides and what TightVNC expects.  At a minimum, you may have to:

  * Create /usr/X11R6/lib/X11/
  * Find a copy of rgb.txt (maybe scrounge one from an
    old backup tape or something) and insert it in your
    newly created X11 directory
  * Drop a link from /usr/X11R6/lib/X11/fonts to /usr/share/X11/fonts

WARNING:  Don't drop a font server onto your system just to make tightVNC happy; it's not worth it.  I don't recall all the headaches that running a font server lead to back in F10 but I know I didn't have much fun there until I ditched the font server.  (Worked great back in FC7 and FC4, but times change.)

And please -- If anyone has a BETTER WORKAROUND than this, particularly one that lets tigervnc actually work with graphics programs that grab the mouse and/or server, PLEASE post it!  If I'm overlooking something obvious, and using Tight is a really dumb way to get what I want, please don't hesitate to point it out!

Continuing to use the dusty-deck version of VNC in order to get around this is awkward in the extreme.  This does for some stuff, and two of the Gnome desktops we use here (at home) work fine with it, but I can't start my own personal Gnome desktop under tight -- something in my enviro blows the settings daemon to bits under tight, even though it works fine with tiger.  So I'm also backing down to xfce4 for all graphics work for the time being, sigh.
Comment 26 SAL 2009-12-02 10:42:16 EST
!!! YESSSS !!!

Did a 'yum update' again this morning, it picked up a new version of TigerVNC (along with a pile of other new stuff), I fired everything up, fired up Tiger, fired up Gnome in the Tiger desktop, and inkscape and gimp are OK -- no crash.

HALLELUIAH!

Nice work, guys!

If I run into further trouble with this bug I'll add an additional comment but as of this moment, it appears that for me, SAL (Steve Lawrence), running an X86 system, this bug is fixed in Fedora 12 as of 12/2/09.
Comment 27 Vedran Miletić 2009-12-05 05:48:32 EST
Closing as worksforme per comment #26.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 28 Jonathan Kamens 2009-12-06 16:36:21 EST
Still broken in rawhide.  I just updated a few minutes ago from Rawhide and still can't load the TigerVNC X serve module:

(II) LoadModule: "vnc"
(II) Loading /usr/lib/xorg/modules/extensions/libvnc.so
dlopen: /usr/lib/xorg/modules/extensions/libvnc.so: undefined symbol: CoreDevicePrivateKey
(EE) Failed to load /usr/lib/xorg/modules/extensions/libvnc.so
(II) UnloadModule: "vnc"
(EE) Failed to load module "vnc" (loader failed, 7)
Comment 29 Bill McGonigle 2010-01-11 10:38:45 EST
per bug 504300 comment #8, tigervnc isn't even working on F12, which makes comment #26 here surprising.  SAL, did you mean to say you were working on f11?  If not, there might be something you can add to the discussion on bug 504300 since the developer expects this not to work on xorg-1.7.  The current resolution of this bug appears to rest on a comment that's not supposed to be possible.
Comment 30 SAL 2010-01-11 11:09:20 EST
 Bill McGonigle      2010-01-11 10:38:45 EST  wrote:

> per bug 504300 comment #8, tigervnc isn't even working on F12, which makes
> comment #26 here surprising.  SAL, did you mean to say you were working on
> f11?

To which I reply:

I absolutely am running Fedora 12, and I absolutely am using TigerVNC,
with great success.  Server and viewer are working like a charm.  (I
will dig around in my notes and see what I can find regarding any
setup problems I had to overcome.)

Some system info:

dodo% uname -a
Linux dodo 2.6.31.5-127.fc12.i686 #1 SMP Sat Nov 7 21:41:45 EST 2009
i686 i686 i386 GNU/Linux
dodo% cat /etc/fed
fedora/         fedora-release
dodo% cat /etc/fedora-release
Fedora release 12 (Constantine)

(Note that system is up to date save for the kernel, which was last
updated quite a few weeks ago.  I usually hold back the kernel
because I depend on vmware, and getting vmware to play with a new
kernel update is often a little dicey; so, I only do kernel updates on
days when I have time to spend fixing up the resulting mess.)

dodo% wh vncserver
/usr/bin/vncserver

dodo% yum -C search tigervnc
Loaded plugins: dellsysidplugin2, fastestmirror, refresh-packagekit
============================== Matched: tigervnc ===============================
tigervnc.i686 : A TigerVNC remote display system
tigervnc-server.i686 : A TigerVNC server
tigervnc-server-module.i686 : TigerVNC module to Xorg
dodo% yum info tigervnc
Loaded plugins: dellsysidplugin2, fastestmirror, refresh-packagekit
Installed Packages
Name       : tigervnc
Arch       : i686
Version    : 1.0.0
Release    : 3.fc12
Size       : 683 k
Repo       : installed
From repo  : updates
Summary    : A TigerVNC remote display system
URL        : http://www.tigervnc.com
License    : GPLv2+
Description: Virtual Network Computing (VNC) is a remote display system which
           : allows you to view a computing 'desktop' environment not only on
           : the machine where it is running, but from anywhere on the Internet
           : and from a wide variety of machine architectures.  This package
           : contains a client which will allow you to connect to other desktops
           : running a VNC server.

dodo%
Comment 31 SAL 2010-01-11 11:23:20 EST
(In reply to comment #30)
> (I
> will dig around in my notes and see what I can find regarding any
> setup problems I had to overcome.)

Just looked through my notes, and it appears that I simply installed tigervnc from the repos, updated it from the repos, and since the update on 2 Dec 2009, it just works.  (The only big song and dance I had to go through was when I was trying to get TightVNC to work under F12 -- that's basically a non-starter.)

When starting the server, I find that I need to be careful to avoid getting Gnome connected to the wrong dbus server.  To make sure the enviro vbls which control dbus are unset, I ssh to the local system (from the local system) and start the server in the new (ssh'd) shell.

FYI I use VNC constantly, and frequently change the desktop dimensions using xrandr (viewing from three different systems), and have had no significant problems.  I mentioned vmware-workstation; I typically run that on one virtual desktop on my vnc server Gnome session.
Comment 32 SAL 2010-01-11 11:45:43 EST
(In reply to comment #29)
> per bug 504300 comment #8, tigervnc isn't even working on F12, which makes
> comment #26 here surprising.

After posting the previous two long winded comments I realized where the disconnect is.  I am using TigerVNC to run multiple independent desktops with no connection to the console.  Note that I ssh back into my local system in order to assure that all connections with the console are broken before I execute 'vncserver'.  That obviously works (at least, it works for me).

As far as I can tell from the bug reports, the thing which still does not work is serving the console desktop for viewing in a remote VNC viewer.  I never use that capability so I would never notice a problem with it.
Comment 33 Bill McGonigle 2010-01-12 16:41:54 EST
Super, thanks for figuring that out, SAL.
Comment 34 Bug Zapper 2010-03-15 08:38:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 Adam Jackson 2010-11-01 12:04:10 EDT
Looks like an input bug per comment #8, reassigning.
Comment 36 Peter Hutterer 2010-11-02 01:35:07 EDT
which X server version does this happen with now?

and do you have any special input devices or input device configuration?
Comment 37 Bug Zapper 2011-06-02 14:03:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Bill McGonigle 2011-06-02 15:30:44 EDT
I'm running F14 now with the vnc module loaded and inkscape isn't crashing on me, at least in cursory tests.
Comment 39 Matěj Cepl 2011-06-04 03:34:24 EDT
Reporter, what is the status of this bug for you with the latest updates, please?

Thank you in advance
Comment 40 Bug Zapper 2011-06-27 10:13:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.